<?xml version="1.0" encoding="UTF-8"?>
<?NLS TYPE="org.eclipse.help.toc"?>
<contexts>

    <!-- Actions -->

    <context id="add_unimplemented_constructors_action_context">
        <description>Questo comando copia i costruttori della superclasse nella classe selezionata.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="getter_setter_action_context">
        <description>Questo comando genera metodi getter e setter per il campo selezionato.</description>
        <topic label="Generazione dei metodi getter e setter" href="tasks/tasks-57.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="add_methodbreakpoint_action_context">
        <description>Questo comando aggiunge un punto di interruzione di voce di metodo per il metodo selezionato.</description>
        <topic label="Aggiunta di punti di interruzione" href="tasks/tasks-144.htm"/>
        <topic label="Rimozione di punti di interruzione" href="tasks/tasks-144a.htm"/>
        <topic label="Attivazione e disattivazione di punti di interruzione" href="tasks/tasks-144b.htm"/>
        <topic label="Impostazione punti di interruzione metodo" href="tasks/tasks-145.htm"/>
        <topic label="Applicazione numero di passaggi" href="tasks/tasks-146.htm"/>
        <topic label="Gestione punti di interruzione condizionali" href="tasks/tasks-144c.htm"/>
        <topic label="Punti di interruzione" href="concepts/cbrkpnts.htm"/>
        <topic label="Vista Punti di interruzione" href="reference/ref-35.htm"/>
        <topic label="Debugger" href="concepts/concepts-10.htm"/>
        <topic label="Debug remoto" href="concepts/cremdbug.htm"/>
    </context>

    <context id="add_methodstub_action_context">
        <description>Questo comando crea uno stub di metodo per il metodo selezionato.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="add_unimplemented_methods_action_context">
        <description>Consente di ignorare i metodi da una superclasse oppure di implementare un metodo da un'interfaccia.</description>
        <topic label="Finestra di dialogo Sostituzione metodi" href="reference/ref-dialog-override-method.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="show_in_packageview_action_context">
        <description>Visualizza l'elemento selezionato in Esplora pacchetti.</description>
        <topic label="Visualizzazione dell'unità di compilazione di un tipo in Esplora pacchetti" href="tasks/tasks-74.htm"/>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="show_in_hierarchyview_action_context">
        <description>Questo comando apre la vista Gerarchia sull'elemento selezionato.</description>
        <topic label="Vista Gerarchia" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="add_imports_on_selection_action_context">
        <description>Questo comando aggiunge all'unità di compilazione un'istruzione di importazione per il tipo selezionato.</description>
        <topic label="Aggiunta delle istruzioni di importazione richieste" href="tasks/tasks-59.htm"/>
        <topic label="Impostazione dell'ordine delle istruzioni di importazione" href="tasks/tasks-61.htm"/>
    </context>

    <context id="organize_imports_action_context">
        <description>Questo comando genera le istruzioni di importazione per questo tipo. Aggiunge tutte le istruzioni di importazione necessarie e rimuove quelle non necessarie.</description>
        <topic label="Organizzazione delle istruzioni di importazione esistenti" href="tasks/tasks-60.htm"/>
        <topic label="Impostazione dell'ordine delle istruzioni di importazione" href="tasks/tasks-61.htm"/>
    </context>

    <context id="run_to_line_action_context">
        <description>Durante il debug, questo comando consente di eseguire il programma fino alla riga su cui è posizionato il cursore.</description>
        <topic label="Esegui fino a riga" href="reference/ref-4.htm"/>
        <topic label="Esecuzione per passi" href="tasks/tasks-136.htm"/>
        <topic label="Vista Debug" href="reference/ref-51.htm"/>
        <topic label="Punti di interruzione" href="concepts/cbrkpnts.htm"/>
        <topic label="Debugger" href="concepts/concepts-10.htm"/>
        <topic label="Debug remoto" href="concepts/cremdbug.htm"/>
    </context>

    <context id="toggle_presentation_action_context">
        <description>Consente di attivare e disattivare l'editor tra la visualizzazione dell'intera unità di compilazione e il codice solo per l'elemento selezionato.</description>
        <topic label="Visualizzazione di singoli elementi o interi file Java" href="tasks/tasks-6.htm"/>
        <topic label="Argomenti dell'editor Java" href="reference/ref-java-editor.htm"/>
    </context>

    <context id="toggle_texthover_action_context">
        <description>Consente di attivare e disattivare il testo a comparsa per Javadoc e Debug.</description>
        <topic label="Riferimenti dell'editor Java" href="reference/ref-java-editor.htm"/>
        <topic label="Argomenti dell'editor Java" href="concepts/concepts-7.htm"/>
    </context>

    <context id="toggle_mark_occurrences_action_context">
        <description>Consente di attivare e disattivare le ricorrenze dell'indicatore.</description>
    </context>

    <context id="display_action_context">
        <description>Questo comando valuta l'espressione selezionata e mostra i
risultati nella vista Visualizzazione.</description>
        <topic label="Visualizzazione del risultato della valutazione di un'espressione" href="tasks/tasks-151.htm"/>
        <topic label="Valutazione di espressioni" href="tasks/tasks-138.htm"/>
        <topic label="Vista Visualizzazione" href="reference/ref-52.htm"/>
        <topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm"/>
    </context>

    <context id="focus_on_selection_action">
        <description>Questo comando consente di selezionare un tipo visibile nella vista Gerarchia che diventa il nuovo elemento attivo della vista Gerarchia.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="focus_on_type_action">
        <description>Questo comando consente di scegliere un tipo qualsiasi e lo apre nella vista Gerarchia.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="typehierarchy_history_action">
        <description>Consente di passare nuovamente alle gerarchie di tipi precedentemente visualizzate.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="filter_public_action">
        <description>Questo filtro rimuove tutti i membri non pubblici dalla presentazione.</description>
        <topic label="Come visualizzare e nascondere i membri nelle viste Java" href="tasks/tasks-191.htm"/>
    </context>

    <context id="filter_fields_action">
        <description>Questo filtro rimuove tutti i campi dalla presentazione.</description>
        <topic label="Come visualizzare e nascondere i membri nelle viste Java" href="tasks/tasks-191.htm"/>
    </context>

    <context id="filter_static_action">
        <description>Questo filtro rimuove tutti i membri statici dalla presentazione.</description>
        <topic label="Come visualizzare e nascondere i membri nelle viste Java" href="tasks/tasks-191.htm"/>
    </context>

    <context id="show_inherited_action">
        <description>Questa opzione visualizza tutti i membri ereditati dai supertipi.</description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="show_supertypes_action">
        <description>Questa opzione visualizza tutti i supertipi. </description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="show_subtypes_action">
        <description>Questa opzione visualizza tutti i sottotipi.</description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="show_hierarchy_action">
        <description>Questa opzione visualizza la gerarchia di classe.</description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="enable_methodfilter_action">
        <description>Questa opzione visualizza tutti i tipi della gerarchia corrente che definiscono o implementano il metodo selezionato.</description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="open_class_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di una nuova classe.</description>
        <topic label="Creazione di una nuova classe Java" href="tasks/tasks-17.htm"/>
        <topic label="Creazione di una classe di livello alto" href="tasks/tasks-18.htm"/>
        <topic label="Creazione di una classe nidificata" href="tasks/tasks-19.htm"/>
        <topic label="Creazione di una nuova classe in un'unità di compilazione esistente" href="tasks/tasks-20.htm"/>
        <topic label="Riferimento alla procedura guidata Nuova classe" href="reference/ref-126.htm"/>
    </context>

    <context id="open_enum_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di una nuova enumerazione.</description>
        <topic label="Creazione di un'enumerazione Java" href="tasks/tasks-17b.htm"/>
        <topic label="Riferimento alla procedura guidata Nuova enumerazione" href="reference/ref-126b.htm"/>
    </context>

    <context id="open_interface_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di una nuova interfaccia.</description>
        <topic label="Creazione di una nuova interfaccia Java" href="tasks/tasks-21.htm"/>
        <topic label="Creazione di un'interfaccia di alto livello" href="tasks/tasks-23.htm"/>
        <topic label="Creazione di un'interfaccia nidificata" href="tasks/tasks-24.htm"/>
        <topic label="Creazione di una nuova interfaccia in un'unità di compilazione esistente" href="tasks/tasks-25.htm"/>
        <topic label="Riferimento alla procedura guidata Nuova interfaccia" href="reference/ref-127.htm"/>
    </context>

    <context id="open_annotation_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di una nuova annotazione.</description>
        <topic label="Creazione di una nuova annotazione Java" href="tasks/tasks-21b.htm"/>
        <topic label="Riferimento alla procedura guidata Nuova annotazione" href="reference/ref-127b.htm"/>
    </context>

    <context id="open_package_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di un nuovo pacchetto.</description>
        <topic label="Creazione di un nuovo pacchetto Java" href="tasks/tasks-15.htm"/>
        <topic label="Riferimento alla procedura guidata Nuovo pacchetto" href="reference/ref-125.htm"/>
    </context>

    <context id="open_project_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di un nuovo progetto Java.</description>
        <topic label="Creazione di un nuovo progetto Java" href="tasks/tasks-12.htm"/>
        <topic label="Creazione di un progetto Java come contenitore di origine" href="tasks/tasks-13.htm"/>
        <topic label="Creazione di un progetto Java con cartelle di origine" href="tasks/tasks-14.htm"/>
		<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"/>
		<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"/>
        <topic label="Riferimento alla procedura guidata Nuovo progetto" href="reference/ref-121.htm"/>
        <topic label="Progetti Java" href="concepts/concepts-3.htm"/>
    </context>

    <context id="open_snippet_wizard_action">
        <description>Questa azione apre una procedura guidata per la creazione di una nuova pagina di bozza Java.</description>
        <topic label="Creazione di una pagina di bozza Java" href="tasks/tasks-149.htm"/>
        <topic label="Riferimento alla procedura guidata Nuova pagina di bozza" href="reference/ref-129.htm"/>
        <topic label="Bozza" href="concepts/concepts-11.htm"/>
    </context>

    <context id="clear_working_set_action">
        <description>Questa azione rimuove il filtro dell'insieme di lavoro attualmente installato.</description>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
    </context>

    <context id="goto_marker_action">
        <description>Questa azione mostra i risultati di ricerca in un editor Java.</description>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni di ricerca Java" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="java_search_action_context">
        <description>Questo comando apre la pagina di ricerca Java nella finestra di dialogo Ricerca.</description>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni di ricerca Java" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="goto_package_action">
        <description>Questa azione consente di scegliere un pacchetto e lo seleziona in Esplora pacchetti.</description>
        <topic label="Visualizzazione di un elemento in Esplora pacchetti" href="tasks/tasks-74.htm"/>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="history_list_action">
        <description>Scegliere e passare nuovamente a una gerarchia di tipi precedentemente visualizzata.</description>
        <topic label="Modifica dell'aspetto della vista Gerarchia" href="tasks/tasks-38.htm"/>
        <topic label="Apertura di una gerarchia dei tipi su un elemento Java" href="tasks/tasks-39.htm"/>
        <topic label="Apertura di una gerarchia dei tipi sulla selezione di testo corrente" href="tasks/tasks-40.htm"/>
        <topic label="Apertura di una gerarchia dei tipi nella prospettiva corrispondente" href="tasks/tasks-42.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="lexical_sorting_outline_action">
        <description>Visualizza gli elementi in ordine alfabetico.</description>
        <topic label="Ordinamento degli elementi nelle viste Java" href="tasks/tasks-195.htm"/>
    </context>

    <context id="lexical_sorting_browsing_action">
        <description>Visualizza gli elementi in ordine alfabetico.</description>
        <topic label="Ordinamento degli elementi nelle viste Java" href="tasks/tasks-195.htm"/>
    </context>

    <context id="open_java_perspective_action">
        <description>Questa azione apre la prospettiva Java.</description>
        <topic label="Prospettive Java" href="concepts/concepts-5.htm"/>
    </context>

    <context id="open_java_browsing_perspective_action">
        <description>Questa azione apre la prospettiva Esplorazione Java.</description>
        <topic label="Prospettive Java" href="concepts/concepts-5.htm"/>
    </context>

    <context id="open_project_action">
        <description>Questa azione apre un progetto precedentemente chiuso.</description>
        <topic label="Progetti Java" href="concepts/concepts-3.htm"/>
        <topic label="Azioni del menu Progetto" href="reference/ref-menu-project.htm"/>
    </context>

    <context id="open_type_action">
        <description>Sceglie un tipo e lo apre in un editor Java.</description>
        <topic label="Apertura di un editor su un tipo" href="tasks/tasks-76.htm"/>
        <topic label="Apertura di un editor per un elemento selezionato" href="tasks/tasks-73.htm"/>
        <topic label="Finestra di dialogo Apertura tipo" href="reference/ref-148.htm"/>
    </context>

    <context id="open_type_in_hierarchy_action">
        <description>Sceglie un tipo e lo apre nella vista Gerarchia e in un
editor Java.</description>
        <topic label="Apertura di una gerarchia dei tipi su un elemento Java" href="tasks/tasks-39.htm"/>
        <topic label="Apertura di una gerarchia dei tipi sulla selezione di testo corrente" href="tasks/tasks-40.htm"/>
        <topic label="Apertura di una gerarchia dei tipi nella prospettiva corrispondente" href="tasks/tasks-42.htm"/>
        <topic label="Finestra di dialogo Apertura tipo" href="reference/ref-148.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="add_javadoc_stub_action">
        <description>Questa azione genera una struttura Javadoc per il membro selezionato. La struttura contiene tutte le informazioni che possono derivare dalla firma del membro.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="add_task_action">
        <description>Aggiunge una nuova attività.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="externalize_strings_action">
        <description>Trova e supporta l'esternalizzazione di tutte le stringhe che non sono esternalizzate.</description>
        <topic label="Individuazione di stringhe da esternalizzare" href="tasks/tasks-188.htm"/>
        <topic label="Utilizzo della procedura guidata Esternalizzazione stringhe" href="tasks/tasks-180.htm"/>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="extract_method_action">
        <description>Supporto per l'estrazione di un metodo da una selezione codice.</description>
        <topic label="Estrazione di un metodo" href="tasks/tasks-87.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="extract_temp_action">
        <description>Supporto per l'estrazione di una variabile temporanea da una selezione codice.</description>
        <topic label="Estrazione di una variabile locale" href="tasks/tasks-159.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="find_declarations_in_workspace_action">
        <description>Esegue la ricerca di tutte le dichiarazioni di un elemento selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_declarations_in_project_action">
        <description>Esegue la ricerca di tutte le dichiarazioni di un elemento selezionato nel progetto che contiene l'elemento.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_declarations_in_hierarchy_action">
        <description>Esegue la ricerca di tutte le dichiarazioni di un elemento selezionato nella gerarchia di tipi dell'elemento.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_declarations_in_working_set_action">
        <description>Esegue la ricerca di tutte le dichiarazioni di un elemento selezionato in un insieme di lavoro specificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_references_in_workspace_action">
        <description>Esegue la ricerca di tutti i riferimenti all'elemento selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_references_in_project_action">
        <description>Esegue la ricerca di tutti i riferimenti ad un elemento selezionato nel progetto che contiene l'elemento.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_references_in_hierarchy_action">
        <description>Esegue la ricerca di tutti i riferimenti ad un elemento selezionato nella gerarchia di tipi dell'elemento.</description>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_references_in_working_set_action">
        <description>Esegue la ricerca di tutti i riferimenti ad un elemento selezionato in un insieme di lavoro specificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_implementors_in_workspace_action">
        <description>Esegue la ricerca di tutti gli implementatori di un elemento selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

     <context id="find_implementors_in_project_action">
        <description>Esegue la ricerca di tutti gli implementatori di un elemento selezionato nel progetto che contiene l'elemento.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>
 
    <context id="find_implementors_in_working_set_action">
        <description>Esegue la ricerca di tutti gli implementatori di un elemento selezionato in un insieme di lavoro specificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_read_references_action">
        <description>Esegue la ricerca di tutti percorsi in cui viene utilizzato
il campo selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_read_references_in_workspace_action">
        <description>Esegue la ricerca di tutti percorsi in cui viene utilizzato
il campo selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_read_references_in_project_action">
        <description>Esegue la ricerca nel progetto che contiene il campo selezionato di tutti i percorsi in cui viene letto il campo selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_read_references_in_hierarchy_action">
        <description>Esegue la ricerca nella gerarchia dei tipi di tutti i percorsi in cui viene letto il campo selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_write_references_in_hierarchy_action">
        <description>Esegue la ricerca nella gerarchia dei tipi di tutti i percorsi in cui il campo selezionato è modificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_read_references_in_working_set_action">
        <description>Esegue la ricerca in un insieme di lavoro di tutti i percorsi in cui viene letto il campo selezionato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_write_references_in_working_set_action">
        <description>Esegue la ricerca in un insieme di lavoro di tutti i percorsi in cui il campo selezionato è modificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_write_references_in_workspace_action">
        <description>Esegue la ricerca di tutti percorsi in cui il
campo
selezionato è modificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_write_references_in_project_action">
        <description>Esegue la ricerca nel progetto che contiene il campo selezionato di tutti i percorsi in cui il campo selezionato è modificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_write_references_action">
        <description>Esegue la ricerca di tutti percorsi in cui il
campo
selezionato è modificato.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_occurrences_in_file_action">
        <description>Esegue la ricerca di tutti i percorsi dell'elemento selezionato nel relativo file.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="working_set_find_action">
        <description>Esegue la ricerca di un elemento Java selezionato in un insieme di lavoro.</description>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>

    <context id="find_strings_to_externalize_action">
        <description>Esegue la ricerca di tutte le stringhe non esternalizzate.</description>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Individuazione di stringhe da esternalizzare" href="tasks/tasks-188.htm"/>
        <topic label="Esternalizzazione guidata stringhe" href="reference/ref-wizard-externalize-strings.htm"/>
    </context>

    <context id="inline_temp_action">
        <description>Questa azione rimuove una variabile locale e sostituisce tutte le occorrenze con le relative espressioni di elaborazione.</description>
        <topic label="Inline di una variabile locale" href="tasks/tasks-161.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="modify_parameters_action">
        <description>Supporta la modifica della firma di un metodo.</description>
        <topic label="Modifica firma metodo" href="tasks/tasks-98.htm"/>
        <topic label="Modifica firma metodo" href="tasks/tasks-157.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="open_action">
        <description>Apre l'elemento selezionato in un editor Java.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="open_external_javadoc_action">
        <description>Apre il Javadoc dell'elemento selezionato nel browser HTML esterno predefinito.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
        <topic label="Percorso Javadoc" href="reference/ref-dialog-javadoc-location.htm"/>
    </context>

    <context id="open_super_implementation_action">
        <description>Questa azione apre il metodo nella superclasse ignorata dal metodo selezionato.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="pull_up_action">
        <description>Supporta lo spostamento verso l'alto di membri nella gerarchia dei tipi.</description>
        <topic label="Spostamento dei membri verso l'alto nella superclasse" href="tasks/tasks-165.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="refresh_action">
        <description>Aggiorna il contenuto del filesystem locale.</description>
        <topic label="Azioni del menu File" href="reference/ref-menu-file.htm"/>
    </context>

    <context id="rename_action">
        <description>Supporta la ridenominazione degli elementi Java.</description>
        <topic label="Ridenominazione di un pacchetto" href="tasks/tasks-90.htm"/>
        <topic label="Ridenominazione di un'unità di compilazione" href="tasks/tasks-92.htm"/>
        <topic label="Ridenominazione di un tipo" href="tasks/tasks-94.htm"/>
        <topic label="Ridenominazione di un metodo" href="tasks/tasks-96.htm"/>
        <topic label="Ridenominazione di un campo" href="tasks/tasks-169.htm"/>
        <topic label="Ridenominazione di una variabile locale" href="tasks/tasks-204.htm"/>
        <topic label="Ridenominazione dei parametri del metodo" href="tasks/tasks-98.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="self_encapsulate_action">
        <description>Modifica il codice sostituendo gli accessi di lettura e scrittura a un campo con le chiamate corrispondenti ai metodi getter e setter.</description>
        <topic label="Incapsulamento automatico di un campo" href="tasks/tasks-162.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="show_in_navigator_action">
        <description>Mostra l'elemento selezionato nella vista Selezione.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="surround_with_try_catch_action">
        <description>Dispone la selezione del codice in un blocco try/catch. Gestisce tutte le eccezioni che possono causare un errore di compilazione.</description>
        <topic label="Utilizzo dell'inclusione con try/catch" href="tasks/tasks-179.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="open_resource_action">
        <description>Apre l'elemento selezionato in un editor Java.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="select_working_set_action">
        <description>Questo filtro rimuove dalla vista tutti gli elementi che non fanno parte dell'insieme di lavoro.</description>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
    </context>

    <context id="structured_selection_history_action">
        <description>Ripristina l'ultima selezione strutturata.</description>
        <topic label="Utilizzo di una selezione strutturata" href="tasks/tasks-176.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="structured_select_enclosing_action">
        <description>Estende la selezione eseguita in base alla grammatica Java
al contenitore di sintassi di inclusione.</description>
        <topic label="Utilizzo di una selezione strutturata" href="tasks/tasks-176.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="structured_select_next_action">
        <description>Estende la selezione eseguita in base alla grammatica Java in modo da includere l'elemento sintattico successivo più vicino.</description>
        <topic label="Utilizzo di una selezione strutturata" href="tasks/tasks-176.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="structured_select_previous_action">
        <description>Estende la selezione eseguita in base alla grammatica Java in modo da includere l'elemento sintattico precedente più vicino.</description>
        <topic label="Utilizzo di una selezione strutturata" href="tasks/tasks-176.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="toggle_orientations_action">
        <description>Modifica l'orientamento dei riquadri della vista Gerarchia.</description>
        <topic label="Utilizzo della vista Gerarchia" href="tasks/tasks-37.htm"/>
        <topic label="Modifica dell'aspetto della vista Gerarchia" href="tasks/tasks-38.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="cut_action">
        <description>Elimina gli elementi selezionati e li copia negli appunti.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="copy_action">
        <description>Copia l'elemento selezionato negli appunti.</description>
        <topic label="Copia e spostamento di elementi Java" href="tasks/tasks-85.htm"/>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="paste_action">
        <description>Incolla gli elementi che si trovano negli appunti nel punto di inserimento.</description>
        <topic label="Copia e spostamento di elementi Java" href="tasks/tasks-85.htm"/>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="delete_action">
        <description>Elimina gli elementi selezionati.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="open_type_hierarchy_action">
        <description>Apre la vista Gerarchia per l'elemento selezionato.</description>
        <topic label="Utilizzo della vista Gerarchia" href="tasks/tasks-37.htm"/>
        <topic label="Modifica dell'aspetto della vista Gerarchia" href="tasks/tasks-38.htm"/>
        <topic label="Apertura di una gerarchia dei tipi su un elemento Java" href="tasks/tasks-39.htm"/>
        <topic label="Apertura di una gerarchia dei tipi sulla selezione di testo corrente" href="tasks/tasks-40.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="goto_next_error_action">
        <description>Seleziona il problema successivo nella risorsa attualmente attiva nell'area di editor.</description>
    </context>

    <context id="goto_previous_error_action">
        <description>Seleziona il problema precedente nella risorsa attualmente attiva nell'area di editor.</description>
    </context>

    <!-- Dialogs -->
    <context id="maintype_selection_dialog_context">
        <description>Sceglie un tipo da tutti i tipi che definiscono un metodo principale.</description>
        <topic label="Avvio di un programma Java" href="tasks/tasks-130.htm"/>
        <topic label="Definizione del manifest del file JAR" href="tasks/tasks-35.htm"/>
    </context>

    <context id="open_type_dialog_context">
        <description>Questa finestra di dialogo consente di scegliere un tipo dallo spazio di lavoro.</description>
        <topic label="Finestra di dialogo Apertura tipo" href="reference/ref-148.htm"/>
        <topic label="Apertura su un tipo" href="tasks/tasks-76.htm"/>
        <topic label="Apri tipo" href="reference/ref-148.htm"/>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Azioni Java" href="reference/ref-3.htm"/>
    </context>

    <context id="edit_jre_dialog_context">
        <description>Modifica una definizione JRE esistente.</description>
        <topic label="Scelta di un JRE per l'avvio di un progetto" href="tasks/tasks-124.htm"/>
        <topic label="Utilizzo di JRE" href="tasks/tasks-JREs.htm"/>
        <topic label="Utilizzo dei percorsi di generazione" href="tasks/tasks-110.htm"/>
        <topic label="Generazione" href="concepts/concepts-4.htm"/>
        <topic label="Preferenze di installazione JRE" href="reference/ref-19.htm"/>
    </context>

    <context id="source_attachment_dialog_context">
        <description>Collega il codice origine al file JAR selezionato.</description>
        <topic label="Collegamento origine a un file JAR" href="tasks/tasks-115.htm"/>
        <topic label="Utilizzo dei percorsi di generazione" href="tasks/tasks-110.htm"/>
        <topic label="Preferenze di installazione JRE" href="reference/ref-19.htm"/>
    </context>

    <context id="variable_selection_dialog_context">
        <description>Seleziona una variabile del percorso classi da aggiungere al percorso classi di generazione.</description>
        <topic label="Aggiunta di una voce di variabile al percorso classi" href="tasks/tasks-114.htm"/>
        <topic label="Utilizzo dei percorsi di generazione" href="tasks/tasks-110.htm"/>
        <topic label="Preferenze delle variabili del percorso classi" href="reference/ref-15.htm"/>
        <topic label="Argomenti delle variabili del percorso classi" href="concepts/cclsspthv.htm"/>
    </context>

    <context id="variable_creation_dialog_context">
        <description>Definisce una nuova variabile del percorso classi.</description>
        <topic label="Definizione di una variabile del percorso classi" href="tasks/tasks-117.htm"/>
        <topic label="Utilizzo dei percorsi di generazione" href="tasks/tasks-110.htm"/>
        <topic label="Preferenze delle variabili del percorso classi" href="reference/ref-15.htm"/>
        <topic label="Argomenti delle variabili del percorso classi" href="concepts/cclsspthv.htm"/>
    </context>

    <context id="advanced_dialog_context">
        <description>Finestra di dialogo per l'aggiunta delle voci elencate al percorso classi.</description>
        <topic label="Aggiunta di una cartella di librerie al percorso di generazione" href="tasks/tasks-112.htm"/>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
    </context>

    <context id="confirm_save_modified_resources_dialog_context">
        <description>Conferma che si desidera salvare la risorsa modificata.</description>
        
    </context>

    <context id="new_variable_dialog_context">
        <description>Finestra di dialogo per l'aggiunta di variabili del percorso classi al percorso classi.</description>
        <topic label="Visualizzazione e modifica di un percorso di generazione del progetto" href="tasks/tasks-111.htm"/>
        <topic label="Aggiunta di una voce variabile del percorso classi" href="tasks/tasks-114.htm"/>
        <topic label="Collegamento origine alle variabili" href="tasks/tasks-116.htm"/>
        <topic label="Collegamento origine a una variabile del percorso classi" href="tasks/tasks-116.htm"/>
        <topic label="Definizione di una variabile del percorso classi" href="tasks/tasks-117.htm"/>
        <topic label="Eliminazione di una variabile del percorso classi" href="tasks/tasks-118.htm"/>
        <topic label="Preferenze delle variabili del percorso classi" href="reference/ref-15.htm"/>
        <topic label="Argomenti delle variabili del percorso classi" href="concepts/cclsspthv.htm"/>
    </context>

    <context id="nonnls_dialog_context">
        <description>Elenca tutti percorsi delle stringhe non
esternalizzate.</description>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Individuazione di stringhe da esternalizzare" href="tasks/tasks-188.htm"/>
        <topic label="Utilizzo della procedura guidata Esternalizzazione stringhe" href="tasks/tasks-180.htm"/>
        <topic label="Procedura guidata Esternalizzazione stringhe" href="reference/ref-wizard-externalize-strings.htm"/>
        <topic label="Argomenti di Esternalizza stringhe" href="concepts/cnls.htm"/>
    </context>

    <context id="multi_main_type_selection_dialog_context">
        <description>Elenca tutte le classi con un metodo principale.</description>
        <topic label="Avvio di un programma Java" href="tasks/tasks-130.htm"/>
        <topic label="Definizione del manifest del file JAR" href="tasks/tasks-35.htm"/>
    </context>

    <context id="multi_type_selection_dialog_context">
        <description>Finestra di dialogo per la selezione di uno o più tipi da un elenco di tipi.</description>
        <topic label="Apertura di un tipo nella vista Esplora pacchetti" href="tasks/tasks-75.htm"/>
        <topic label="Apertura di un editor su un tipo" href="tasks/tasks-76.htm"/>
    </context>

    <context id="super_interface_selection_dialog_context">
        <description>Finestra di dialogo per la selezione di una superinterfaccia da un elenco visualizzato.</description>
        <topic label="Creazione di una nuova classe Java" href="tasks/tasks-17.htm"/>
        <topic label="Creazione di una nuova interfaccia Java" href="tasks/tasks-21.htm"/>
        <topic label="Procedura guidata Nuova classe Java" href="reference/ref-126.htm"/>
        <topic label="Procedura guidata Nuova interfaccia Java" href="reference/ref-127.htm"/>
    </context>

    <context id="override_tree_selection_dialog_context">
        <description>Finestra di dialogo in cui è possibile contrassegnare tutti i metodi da ignorare.</description>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="move_destination_dialog_context">
        <description>Finestra di dialogo per la selezione della destinazione di spostamento di  un elemento.</description>
        <topic label="Copia e spostamento di elementi Java" href="tasks/tasks-85.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
    </context>

    <context id="choose_variable_dialog_context">
        <description>Finestra di dialogo per la selezione di variabili di modello da un elenco visualizzato.</description>
        <topic label="Modelli" href="concepts/ctemplates.htm"/>
        <topic label="Scrittura di modelli" href="tasks/tasks-203.htm"/>
        <topic label="Preferenze di modelli" href="reference/ref-preferences-templates.htm"/>
        <topic label="Argomenti sui modelli" href="concepts/ctemplates.htm"/>
    </context>

    <context id="edit_template_dialog_context">
        <description>Finestra di dialogo per la modifica di un modello.</description>
        <topic label="Modelli" href="concepts/ctemplates.htm"/>
        <topic label="Scrittura di modelli" href="tasks/tasks-203.htm"/>
        <topic label="Preferenze di modelli" href="reference/ref-preferences-templates.htm"/>
        <topic label="Argomenti sui modelli" href="concepts/ctemplates.htm"/>
    </context>

    <context id="history_list_dialog_context">
        <description>Finestra di dialogo per la riapertura di gerarchie di tipi precedentemente aperte.</description>
        <topic label="Modifica dell'aspetto della vista Gerarchia" href="tasks/tasks-38.htm"/>
        <topic label="Apertura di una gerarchia dei tipi su un elemento Java" href="tasks/tasks-39.htm"/>
        <topic label="Apertura di una gerarchia dei tipi sulla selezione di testo corrente" href="tasks/tasks-40.htm"/>
        <topic label="Apertura di una gerarchia dei tipi nella prospettiva corrispondente" href="tasks/tasks-42.htm"/>
        <topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"/>
        <topic label="Vista Gerarchia tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="import_organize_input_dialog_context">
        <description>Finestra di dialogo per l'aggiunta di un nuovo pacchetto alla pagina delle preferenze Organizza importazioni.</description>
        <topic label="Aggiunta delle istruzioni di importazione richieste" href="tasks/tasks-59.htm"/>
        <topic label="Organizzazione delle istruzioni di importazione esistenti" href="tasks/tasks-60.htm"/>
        <topic label="Impostazione dell'ordine delle istruzioni di importazione" href="tasks/tasks-61.htm"/>
        <topic label="Preferenze di Organizza importazioni" href="reference/ref-22.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="javadoc_property_dialog_context">
        <description>Finestra di dialogo in cui è possibile specificare il percorso Javadoc per un file
jar selezionato.</description>
        <topic label="Proprietà percorso Javadoc" href="reference/ref-dialog-javadoc-location.htm"/>
        <topic label="Creazione della documentazione Javadoc" href="tasks/tasks-196.htm"/>
    </context>

    <context id="new_container_dialog_context">
        <description>Finestra di dialogo in cui è possibile specificare una nuova cartella di origine.</description>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
        <topic label="Creazione di una nuova cartella di origine" href="tasks/tasks-26.htm"/>
		<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"/>
		<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"/>
        <topic label="Aggiunta di una cartella di librerie al percorso di generazione" href="tasks/tasks-112.htm"/>
    </context>

    <context id="nls_search_page_context">
        <description>Finestra di dialogo in cui è possibile selezionare opzioni per la ricerca delle specifiche delle esternalizzazioni di stringhe.</description>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Individuazione delle chiavi non utilizzate o utilizzate in modo scorretto nei file di proprietà" href="tasks/tasks-202.htm"/>
    </context>

    <context id="java_editor_context">
        <description>L'editor Java fornisce supporto per la modifica del testo specifico Java.</description>
        <topic label="Argomenti dell'editor Java" href="concepts/concepts-7.htm"/>
        <topic label="Utilizzo dell'editor Java" href="tasks/tasks-54.htm"/>
        <topic label="Riferimenti dell'editor Java" href="reference/ref-java-editor.htm"/>
        <topic label="Apertura di un editor Java" href="gettingStarted/qs-OpenJavaEditor.htm"/>
        <topic label="Utilizzo dell'Assistente ai contenuti" href="gettingStarted/qs-ContentAssist.htm"/>
        <topic label="Identificazione dei problemi nel codice" href="gettingStarted/qs-7.htm"/>
        <topic label="Utilizzo dei modelli di codice" href="gettingStarted/qs-EditorTemplates.htm"/>
        <topic label="Organizzazione delle istruzioni di importazione" href="gettingStarted/qs-OrganizeImports.htm"/>
        <topic label="Preferenze dell'editor Java" href="reference/ref-21.htm"/>
    </context>

    <context id="compare_dialog_context">
        <description>Finestra di dialogo che visualizza i risultati del confronto degli  elementi Java.</description>
    </context>

    <context id="add_element_from_history_dialog_context">
        <description>Finestra di dialogo che consente di ripristinare gli elementi Java cancellati dalla cronologia locale.</description>
        <topic label="Ripristino di un elemento del workbench cancellato" href="tasks/tasks-64.htm"/>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="compare_element_with_history_dialog_context">
        <description>Finestra di dialogo che consente di confrontare un elemento Java con le voci della cronologia locale.</description>
        <topic label="Confronto di un elemento Java con un'edizione della cronologia locale" href="tasks/tasks-63a.htm"/>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="replace_element_with_history_dialog_context">
        <description>Finestra di dialogo che consente di sostituire gli elementi Java con le voci della cronologia locale.</description>
        <topic label="Sostituzione di un elemento Java con un'edizione della cronologia locale" href="tasks/tasks-63.htm"/>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <!-- View parts -->

    <context id="package_view_context">
        <description>Questa vista mostra i progetti Java dello spazio di lavoro e consente di esplorare il relativo contenuto.</description>
        <topic label="Esplorazione degli elementi Java" href="gettingStarted/qs-4.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
        <topic label="Finestra di dialogo Filtri dell'elemento Java" href="reference/ref-dialog-java-element-filters.htm"/>
    </context>
    
    <context id="type_hierarchy_view_context">
        <description>Questa vista mostra una gerarchia di tipi</description>
        <topic label="Utilizzo della vista Gerarchia" href="tasks/tasks-37.htm"/>
        <topic label="Vista Gerarchia tipi" href="reference/ref-type-hierarchy.htm"/>
        <topic label="Visualizzazione della Gerarchia dei tipi" href="gettingStarted/qs-6.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="projects_view_context">
        <description>Visualizza tutti i progetti Java in base alle impostazioni di filtro correnti.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="packages_browsing_view_context">
        <description>Visualizza tutti i pacchetti del progetto Java selezionato in base alle impostazioni di filtro correnti.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="types_view_context">
        <description>Visualizza tutti i tipi del pacchetto selezionato in base alle impostazioni di filtro correnti.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="members_view_context">
        <description>Visualizza tutti i membri del tipo selezionato in base alle impostazioni di filtro correnti.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>
    
    <context id="call_hierarchy_view_context">
        <description>La Gerarchia chiamate mostra tutti i chiamanti e i destinatari del metodo dato.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>
    
    <context id="javadoc_view_context">
        <description>Visualizza il Javadoc per l'elemento Java selezionato.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>
    
    <context id="source_view_context">
        <description>Visualizza l'origine per l'elemento Java selezionato.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>



    <!-- Preference pages -->

    <context id="build_path_property_page_context">
        <description>In questa pagina è possibile definire il percorso di generazione del progetto.</description>
        <topic label="Visualizzazione e modifica di un percorso di generazione del progetto" href="tasks/tasks-111.htm"/>
        <topic label="Generazione" href="concepts/concepts-4.htm"/>
        <topic label="Pagina Impostazioni Java" href="reference/ref-123.htm"/>
    </context>

    <context id="cp_variables_preference_page_context">
        <description>In questa pagina è possibile creare e gestire variabili del percorso classi per il workbench.</description>
        <topic label="Preferenze delle variabili del percorso classi" href="reference/ref-15.htm"/>
        <topic label="Aggiunta di una voce di variabile al percorso classi" href="tasks/tasks-114.htm"/>
        <topic label="Eliminazione di una variabile del percorso classi" href="tasks/tasks-118.htm"/>
        <topic label="Variabili del percorso classi" href="concepts/cclsspthv.htm"/>
        <topic label="JRE installati" href="reference/ref-18.htm"/>
    </context>

    <context id="codeformatter_preference_page_context">
        <description>In questa pagina è possibile impostare le preferenze per la formattazione del codice Java.</description>
        <topic label="Preferenze del programma di formazione del codice" href="reference/ref-17.htm"/>
        <topic label="Formattazione del codice Java" href="tasks/tasks-66.htm"/>
    </context>

    <context id="source_attachment_property_page_context">
        <description>In questa pagina è possibile collegare il codice origine a un file JAR.</description>
        <topic label="Proprietà collegamento origine" href="reference/ref-124.htm"/>
        <topic label="Collegamento origine a un file JAR" href="tasks/tasks-115.htm"/>
        <topic label="Collegamento origine a una variabile del percorso classi" href="tasks/tasks-116.htm"/>
    </context>

    <context id="jre_preference_page_context">
        <description>In questa pagina è possibile aggiungere, rimuovere e modificare le definizioni di installazione JRE.</description>
        <topic label="Preferenze di installazione JRE" href="reference/ref-19.htm"/>
        <topic label="Utilizzo di JRE" href="tasks/tasks-JREs.htm"/>
        <topic label="Scelta di un JRE per l'avvio di un progetto" href="tasks/tasks-124.htm"/>
        <topic label="Preparazione del workbench" href="gettingStarted/qs-2.htm"/>
    </context>

    <context id="source_lookup_property_page_context">
        <description>Quando si esegue il debug, i progetti specificati in questa pagina vengono utilizzati per cercare l'origine di un tipo.</description>
    </context>

    <context id="launch_jre_property_page_context">
        <description>Selezionare il JRE da utilizzare quando si esegue l'avvio da questo progetto. Questa opzione deve essere utilizzata solo se il JRE di questo progetto è diverso dal JRE predefinito selezionato nelle preferenze.</description>
        <topic label="Scelta di un JRE per l'avvio di un progetto" href="tasks/tasks-124.htm"/>
        <topic label="Utilizzo di JRE" href="tasks/tasks-JREs.htm"/>
        <topic label="Preferenze di installazione JRE" href="reference/ref-19.htm"/>
    </context>

    <context id="code_manipulation_preference_context">
        <description>Specificare le caratteristiche di tutte le azioni di generazione codice.</description>
        <topic label="Preferenze dello stile codice" href="reference/ref-preferences-code-generation.htm"/>
        <topic label="Preferenze del modello codice" href="reference/ref-preferences-code-templates.htm"/>
        <topic label="Generazione dei metodi getter e setter" href="tasks/tasks-57.htm"/>
    </context>

    <context id="compiler_preference_page_context">
        <description>Specificare le caratteristiche del compilatore Java JDT.</description>
        <topic label="Preferenze del compilatore Java" href="reference/ref-preferences-compiler.htm"/>
        <topic label="Generatore Java" href="concepts/concepts-4.htm"/>
        <topic label="Generazione di un programma Java" href="tasks/tasks-106.htm"/>
    </context>

    <context id="template_preference_page_context">
        <description>Definire e gestire i modelli del codice.</description>
        <topic label="Preferenze dei modelli Java" href="reference/ref-preferences-templates.htm"/>
        <topic label="Utilizzo di modelli" href="tasks/tasks-171.htm"/>
        <topic label="Scrittura di modelli" href="tasks/tasks-203.htm"/>
        <topic label="Argomenti sui modelli" href="concepts/ctemplates.htm"/>
    </context>

    <context id="new_java_project_preference_page_context">
        <description>Specificare il percorso dell'applicazione per la generazione di Javadoc.</description>
        <topic label="Creazione di un nuovo progetto Java" href="tasks/tasks-12.htm"/>
        <topic label="Creazione di un progetto Java come contenitore di origine" href="tasks/tasks-13.htm"/>
        <topic label="Creazione di un progetto Java con cartelle di origine" href="tasks/tasks-14.htm"/>
		<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"/>
		<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"/>
        <topic label="Progetti Java" href="concepts/concepts-3.htm"/>
    </context>

    <context id="java_element_info_page_context">
        <description>Visualizza le informazioni sul filesystem relative all'elemento Java selezionato.</description>
        
    </context>


    <!-- Wizard pages -->

    <context id="new_javaproject_wizard_page_context">
        <description>Questa procedura guidata consente di creare un nuovo progetto Java.</description>
        <topic label="Progetti Java" href="concepts/concepts-3.htm"/>
        <topic label="Creazione di un progetto Java come contenitore di origine" href="tasks/tasks-13.htm"/>
        <topic label="Creazione di un progetto Java con cartelle di origine" href="tasks/tasks-14.htm"/>
		<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"/>
		<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"/>
        <topic label="Creazione del primo progetto Java" href="gettingStarted/qs-3.htm"/>
        <topic label="Procedura guidata Nuovo progetto Java" href="reference/ref-121.htm"/>
    </context>
    <context id="new_snippet_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova pagina di bozza Java.</description>
        <topic label="Creazione di una pagina di bozza" href="tasks/tasks-149.htm"/>
        <topic label="Procedura guidata Nuova pagina di bozza Java" href="reference/ref-129.htm"/>
    </context>
    <context id="new_package_wizard_page_context">
        <description>Questa procedura guidata consente di creare un nuovo pacchetto Java.</description>
        <topic label="Creazione di un nuovo pacchetto Java" href="tasks/tasks-15.htm"/>
        <topic label="Procedura guidata Nuovo pacchetto Java" href="reference/ref-125.htm"/>
    </context>
    <context id="new_class_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova classe Java.</description>
        <topic label="Creazione di una classe di livello alto" href="tasks/tasks-18.htm"/>
        <topic label="Creazione di una classe nidificata" href="tasks/tasks-19.htm"/>
        <topic label="Creazione di una classe in un'unità di compilazione esistente" href="tasks/tasks-20.htm"/>
        <topic label="Procedura guidata Nuova classe Java" href="reference/ref-126.htm"/>
    </context>
    <context id="new_enum_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova enumerazione Java.</description>
        <topic label="Creazione di un'enumerazione Java" href="tasks/tasks-17b.htm"/>
        <topic label="Procedura guidata Nuova enumerazione Java" href="reference/ref-126b.htm"/>
    </context>
    <context id="new_interface_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova interfaccia Java.</description>
        <topic label="Creazione di un'interfaccia di alto livello" href="tasks/tasks-23.htm"/>
        <topic label="Creazione di un'interfaccia nidificata" href="tasks/tasks-24.htm"/>
        <topic label="Creazione di una nuova interfaccia in un'unità di compilazione esistente" href="tasks/tasks-25.htm"/>
        <topic label="Procedura guidata Nuova interfaccia Java" href="reference/ref-127.htm"/>
    </context>
    <context id="new_annotation_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova annotazione Java.</description>
        <topic label="Creazione di una nuova annotazione Java" href="tasks/tasks-21b.htm"/>
        <topic label="Procedura guidata Nuova annotazione Java" href="reference/ref-127b.htm"/>
    </context>

    <context id="new_packageroot_wizard_page_context">
        <description>Questa procedura guidata consente di creare una nuova cartella di origine Java.</description>
        <topic label="Creazione di un nuovo progetto Java" href="tasks/tasks-12.htm"/>
        <topic label="Creazione di una nuova cartella di origine" href="tasks/tasks-26.htm"/>
		<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"/>
		<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"/>
        <topic label="Procedura guidata Nuova cartella di origine" href="reference/ref-128.htm"/>
    </context>

    <context id="java_application_page_context">
        <description>Questa procedura guidata visualizza un elenco degli elementi avviabili in cui è possibile selezionare un elemento da avviare.</description>
        <topic label="Esecuzione di un programma Java" href="tasks/tasks-130.htm"/>
        <topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm"/>
    </context>

    <context id="jdi_attach_launcher_page_context">
        <description>Questa procedura guidata consente di configurare le impostazioni per l'avvio di un'applicazione Java remota.</description>
        <topic label="Connessione a una VM remota con la configurazione di avvio dell'applicazione Java remota" href="tasks/tasks-141.htm"/>
        <topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm"/>
    </context>

    <context id="jar_packager_wizard_page_context">
        <description>Questa procedura guidata consente di impostare le opzioni di creazione pacchetti per l'esportazione delle risorse in un file JAR.</description>
        <topic label="Creazione di un nuovo file JAR" href="tasks/tasks-33.htm"/>
        <topic label="Creazione di file JAR" href="tasks/tasks-32.htm"/>
        <topic label="Esportazione guidata JAR" href="reference/ref-export-jar.htm"/>
    </context>

    <context id="jar_manifest_wizard_page_context">
        <description>Questa procedura guidata consente di creare o individuare il file manifest per il file JAR creato.</description>
        <topic label="Definizione del manifest del file JAR" href="tasks/tasks-35.htm"/>
        <topic label="Creazione di file JAR" href="tasks/tasks-32.htm"/>
        <topic label="Esportazione guidata JAR" href="reference/ref-export-jar.htm"/>
    </context>

    <context id="jar_options_wizard_page_context">
        <description>Questa procedura guidata consente di configurare le impostazioni per la gestione dei problemi di esportazione. Include l'opzione per il salvataggio di una descrizione del file JAR nel workbench.</description>
        <topic label="Impostazione di opzioni avanzate" href="tasks/tasks-34.htm"/>
        <topic label="Creazione di file JAR" href="tasks/tasks-32.htm"/>
        <topic label="Esportazione guidata JAR" href="reference/ref-export-jar.htm"/>
    </context>

   <context  id="java_working_set_page_context" >
      <description>Crea un nuovo insieme di lavoro selezionando gli elementi Java appartenenti.</description>
   </context>

    <context id="classpath_container_default_page_context">
        <description>Consente di modificare una voce di un contenitore del percorso classi. Una voce di un contenitore ha il formato "nome contenitore/argomenti specifici del contenitore".</description>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
        <topic label="Visualizzazione e modifica di un percorso di generazione del progetto" href="tasks/tasks-111.htm"/>
        <topic label="Aggiunta di una cartella di librerie al percorso di generazione" href="tasks/tasks-112.htm"/>
        <topic label="Aggiunta di un file JAR al percorso di generazione" href="tasks/tasks-113.htm"/>
        <topic label="Aggiunta di una voce variabile del percorso classi" href="tasks/tasks-114.htm"/>
        <topic label="Collegamento origine a un file JAR" href="tasks/tasks-115.htm"/>
        <topic label="Collegamento origine alle variabili" href="tasks/tasks-116.htm"/>
        <topic label="Collegamento origine a una variabile del percorso classi" href="tasks/tasks-116.htm"/>
        <topic label="Definizione di una variabile del percorso classi" href="tasks/tasks-117.htm"/>
        <topic label="Eliminazione di una variabile del percorso classi" href="tasks/tasks-118.htm"/>
        <topic label="Proprietà del percorso di generazione Java" href="reference/ref-123.htm"/>
        <topic label="Preferenze delle variabili del percorso classi" href="reference/ref-15.htm"/>
    </context>

    <context id="javadoc_standard_page_context">
        <description>Consente di selezionare le opzioni per la generazione di Javadoc utilizzando il doclet standard.</description>
        <topic label="Configurazione degli argomenti Javadoc per il doclet standard" href="tasks/tasks-200.htm"/>
        <topic label="Esportazione guidata Javadoc" href="reference/ref-export-javadoc.htm"/>
    </context>

    <context id="javadoc_specifics_page_context">
        <description>Consente di specificare altri argomenti passati al generatore Javadoc.</description>
        <topic label="Configurazione degli argomenti Javadoc" href="tasks/tasks-201.htm"/>
        <topic label="Esportazione guidata Javadoc" href="reference/ref-export-javadoc.htm"/>
    </context>

    <context id="javadoc_tree_page_context">
        <description>Selezionare gli elementi per cui verrà creato Javadoc.</description>
        <topic label="Selezione dei tipi per la generazione Javadoc" href="tasks/tasks-199.htm"/>
        <topic label="Esportazione guidata Javadoc" href="reference/ref-export-javadoc.htm"/>
    </context>


    <!-- Refactoring Preview Pages-->

    <context id="refactoring_preview_wizard_page_context">
        <description>Questa finestra di dialogo presenta un'anteprima delle modifiche di refactoring sospese.</description>
        <topic label="Visualizzazione in anteprima delle modifiche di refactoring proposte" href="tasks/tasks-84.htm"/>
        <topic label="Refactoring con anteprima" href="tasks/tasks-83.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

	<!-- Refactoring Error Wizard Pages -->
	
    <context id="refactoring_error_wizard_page_context">
        <description>Visualizza gli errori che si sono verificati durante l'esecuzione del refactoring.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_params_wizard_page">
        <description>Questa finestra di dialogo consente di ridenominare un parametro di metodo. I riferimenti al parametro all'interno del metodo vengono aggiornati per fare riferimento al nuovo nome.</description>
        <topic label="Ridenominazione dei parametri del metodo" href="tasks/tasks-98.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="extract_method_wizard_page_context">
        <description>Questa finestra di dialogo consente di estrarre le istruzioni selezionate in un nuovo metodo.</description>
        <topic label="Estrazione di un metodo" href="tasks/tasks-87.htm"/>
        <topic label="Apertura di un editor Java" href="gettingStarted/qs-OpenJavaEditor.htm"/>
        <topic label="Aggiunta di nuovi metodi" href="gettingStarted/qs-AddMethod.htm"/>
        <topic label="Utilizzo dell'Assistente ai contenuti" href="gettingStarted/qs-ContentAssist.htm"/>
        <topic label="Identificazione dei problemi nel codice" href="gettingStarted/qs-7.htm"/>
        <topic label="Utilizzo dei modelli di codice" href="gettingStarted/qs-EditorTemplates.htm"/>
        <topic label="Organizzazione delle istruzioni di importazione" href="gettingStarted/qs-OrganizeImports.htm"/>
        <topic label="Utilizzo della cronologia locale" href="gettingStarted/qs-LocalHistory.htm"/>
        <topic label="Estrazione di un nuovo metodo" href="gettingStarted/qs-ExtractMethod.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_package_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare un pacchetto Java. I riferimenti al vecchio nome di pacchetto vengono aggiornati per fare riferimento al nuovo nome.</description>
        <topic label="Ridenominazione di un pacchetto" href="tasks/tasks-90.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_cu_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare un'unità di compilazione. I riferimenti al tipo pubblico dell'unità di compilazione vengono aggiornati in base al nuovo nome.</description>
        <topic label="Ridenominazione di un'unità di compilazione" href="tasks/tasks-92.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_method_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare un metodo.</description>
        <topic label="Ridenominazione di un metodo" href="tasks/tasks-96.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_type_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare un tipo.</description>
        <topic label="Ridenominazione di un tipo" href="tasks/tasks-94.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_field_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare un campo.</description>
        <topic label="Ridenominazione di un campo" href="tasks/tasks-169.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="externalize_wizard_keyvalue_page_context">
        <description>Fornisce un supporto per la definizione delle chiavi per la ricerca delle stringhe esternalizzate.</description>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Pagina chiave/valore" href="tasks/tasks-189.htm"/>
        <topic label="Procedura guidata Esternalizzazione stringhe" href="reference/ref-wizard-externalize-strings.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="externalize_wizard_properties_file_page_context">
        <description>Fornisce un supporto nella specifica del file delle proprietà utilizzato per l'esternalizzazione delle stringhe.</description>
        <topic label="Esternalizzazione stringhe" href="concepts/cnls.htm"/>
        <topic label="Pagina del file delle proprietà" href="tasks/tasks-190.htm"/>
        <topic label="Procedura guidata Esternalizzazione stringhe" href="reference/ref-wizard-externalize-strings.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="extract_method_temp_page_context">
        <description>Questa finestra di dialogo consente di estrarre una variabile locale.</description>
        <topic label="Estrazione di una variabile locale" href="tasks/tasks-159.htm"/>
        <topic label="Pagina Parametri" href="tasks/tasks-160.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="modify_parameters_wizard_page_context">
        <description>Questa finestra di dialogo consente di modificare la firma di un metodo.</description>
        <topic label="Ridenominazione dei parametri del metodo" href="tasks/tasks-98.htm"/>
        <topic label="Ridenominazione dei parametri di metodo - pagina parametri" href="tasks/tasks-99.htm"/>
        <topic label="Modifica firma metodo" href="tasks/tasks-157.htm"/>
        <topic label="Modifica firma metodo - pagina parametri" href="tasks/tasks-158.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="move_members_wizard_page_context">
        <description>Questa finestra di dialogo consente di spostare i membri static da un tipo all'altro.</description>
        <topic label="Spostamento di membri statici tra tipi" href="tasks/tasks-167.htm"/>
        <topic label="Pagina Parametri" href="tasks/tasks-168.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="pull_up_wizard_page_context">
        <description>Questa finestra di dialogo consente di spostare i membri verso l'alto nella gerarchia dei tipi.</description>
        <topic label="Spostamento dei membri verso l'alto nella superclasse" href="tasks/tasks-165.htm"/>
        <topic label="Pagina Parametri" href="tasks/tasks-166.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="rename_local_variable_wizard_page_context">
        <description>Questa finestra di dialogo consente di ridenominare una variabile locale.</description>
        <topic label="Ridenominazione di una variabile locale" href="tasks/tasks-204.htm"/>
        <topic label="Pagina Parametri" href="tasks/tasks-205.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="self_encapsulate_field_wizard_page_context">
        <description>Questa finestra di dialogo consente di inserire richiami ai metodi setter e getter in tutti i percorsi in cui è impostato o letto il campo selezionato.</description>
        <topic label="Incapsulamento automatico di un campo" href="tasks/tasks-162.htm"/>
        <topic label="Pagina Parametri" href="tasks/tasks-163.htm"/>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <!-- Reused UI Blocks -->

    <context id="build_paths_context">
        <description>Pagina per la definizione del percorso classi di generazione per il progetto.</description>
        <topic label="Percorso classi di generazione" href="concepts/concepts-4.htm"/>
        <topic label="Visualizzazione e modifica di un percorso di generazione del progetto" href="tasks/tasks-111.htm"/>
        <topic label="Preparazione del workbench" href="gettingStarted/qs-2.htm"/>
        <topic label="Proprietà del percorso di generazione Java" href="reference/ref-123.htm"/>
        <topic label="Preferenze variabili del percorso classi" href="reference/ref-15.htm"/>
    </context>
    <context id="source_attachment_context">
        <description>Consente di collegare l'archivio di un codice origine a un file JAR.</description>
        <topic label="Percorso classi di generazione" href="concepts/concepts-4.htm"/>
        <topic label="Collegamento origine a un file JAR" href="tasks/tasks-115.htm"/>
        <topic label="Collegamento origine a una variabile del percorso classi" href="tasks/tasks-116.htm"/>
        <topic label="Collegamento origine alle variabili e ai file JAR" href="reference/ref-124.htm"/>
    </context>


    <!-- Preference pages -->

    <context id="organizeimports_preference_page_context">
        <description>In questa pagina è possibile definire la sequenza di ordine delle istruzioni di importazione.</description>
        <topic label="Preferenze di Organizza importazioni" href="reference/ref-22.htm"/>
        <topic label="Aggiunta delle istruzioni di importazione richieste" href="tasks/tasks-59.htm"/>
        <topic label="Organizzazione delle istruzioni di importazione esistenti" href="tasks/tasks-60.htm"/>
        <topic label="Impostazione dell'ordine delle istruzioni di importazione" href="tasks/tasks-61.htm"/>
    </context>

    <context id="java_base_preference_page_context">
        <description>In questa pagina è possibile indicare le preferenze per le impostazioni generali per la strumentazione Java.</description>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="refactoring_preference_page_context">
        <description>In questa pagina è possibile indicare le preferenze per l'esecuzione di un refactoring.</description>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Riferimenti di refactoring" href="reference/ref-115.htm"/>
        <topic label="Attività di refactoring" href="tasks/tasks-80.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="java_editor_preference_page_context">
        <description>In questa pagina è possibile indicare le preferenze per l'utilizzo dell'editor Java.</description>
        <topic label="Preferenze dell'editor Java" href="reference/ref-21.htm"/>
        <topic label="Argomenti dell'editor Java" href="concepts/concepts-7.htm"/>
        <topic label="Riferimenti dell'editor Java" href="reference/ref-java-editor.htm"/>
        <topic label="Utilizzo dell'editor Java" href="tasks/tasks-54.htm"/>
    </context>


    <!-- Search -->

    <context id="java_search_page_context">
        <description>In questa pagina è possibile cercare i riferimenti e le dichiarazioni degli elementi Java.</description>
        <topic label="Ricerca Java" href="concepts/concepts-8.htm"/>
        <topic label="Ricerca nel workbench" href="gettingStarted/qs-11.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"/>
        <topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"/>
        <topic label="Scheda Ricerca Java" href="reference/ref-131.htm"/>
        <topic label="Menu Cerca" href="reference/ref-menu-search.htm"/>
    </context>


    <!-- Custom Filters -->

    <context id="open_custom_filters_dialog_context">
        <description>In questa pagina è possibile attivare e disattivare i filtri.</description>
        <topic label="Filtro di elementi" href="tasks/tasks-47.htm"/>
        <topic label="Come visualizzare e nascondere i file di sistema" href="tasks/tasks-3.htm"/>
        <topic label="Come visualizzare e nascondere i file CLASS generati per la classe interna" href="tasks/tasks-4.htm"/>
        <topic label="Come visualizzare e nascondere le librerie" href="tasks/tasks-5.htm"/>
        <topic label="Come visualizzare e nascondere i pacchetti vuoti " href="tasks/tasks-183.htm"/>
        <topic label="Come visualizzare e nascondere i pacchetti principali vuoti " href="tasks/tasks-184.htm"/>
        <topic label="Come visualizzare e nascondere i file Java " href="tasks/tasks-185.htm"/>
        <topic label="Come visualizzare e nascondere gli elementi non Java" href="tasks/tasks-186.htm"/>
    </context>


    <!-- NEW CONTEXT IDs -->

    <context id="sort_members_action">
        <description>Questo comando ordina i membri in questa unità di compilazione.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="quick_fix_action">
        <description>Questo comando consente di correggere i problemi Java.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="format_action">
        <description>Questo comando formatta il testo selezionato.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="add_delegate_methods_action">
        <description>Questo comando consente di creare metodi delegati per un insieme di campi.(I metodi delegati sono metodi che vengono delegati a un metodo fornito da un campo).</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="history_action">
        <description>Questa azione viene utilizzata per passare da una gerarchia di un tipo precedentemente visualizzato ad un'altra.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="go_into_top_level_type_action">
        <description>Questo comando modifica la vista della struttura Java per visualizzare solo i membri del tipo principale dell'unità di compilazione.</description>
    </context>

    <context id="tasktags_property_page_context">
        <description>In questa pagina è possibile definire i tag di attività specifici del progetto.</description>
    </context>

    <context id="compiler_property_page_context">
        <description>In questa pagina è possibile definire le impostazioni del compilatore specifiche del progetto.</description>
    </context>

    <context id="replace_with_previous_from_history_action">
        <description>Questo comando consente di sostituire l'elemento selezionato con una versione della cronologia locale.</description>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="compare_with_history_action">
        <description>Questo comando consente di confrontare l'elemento selezionato con una versione della cronologia locale.</description>        
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="add_from_history_action">
        <description>Questo comando aggiunge elementi dalla cronologia locale.</description>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="replace_with_history_action">
        <description>Questo comando sostituisce l'elemento selezionato con una versione della cronologia locale.</description>
        <topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm"/>
    </context>

    <context id="comment_action">
        <description>Questo comando consente di commentare una sequenza di righe nel codice Java.</description>        
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="uncomment_action">
        <description>Questo comando consente di eliminare i commenti di una sequenza di righe.</description>
        <topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm"/>
    </context>

    <context id="extract_temp_page_context">
        <description>Questa finestra di dialogo consente di estrarre una variabile locale da un'espressione selezionata.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="previous_problem_action">
        <description>Questo comando porta al problema precedente nell'editor attivo.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="sort_order_preference_page_context">
        <description>In questa pagina è possibile indicare le preferenze per l'ordinamento degli elementi nelle viste.  Le stesse impostazioni vengono utilizzate anche dal comando Ordina membri.</description>
        <topic label="Ordinamento degli elementi nelle viste Java" href="tasks/tasks-195.htm"/>
    </context>

    <context id="tasktags_preference_page_context">
        <description>In questa pagina è possibile creare nuovi tag (ad esempio TODO, FIXME) per cui verranno creati gli indicatori di attività.</description>
    </context>

    <context id="appearance_preference_page_context">
        <description>In questa pagina è possibile indicare le preferenze per l'aspetto delle viste Java.</description>
    </context>

    <context id="addjtoclasspath_action_context">
        <description>Questo comando aggiunge i JAR selezionati al percorso classi del progetto.</description>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
    </context>

    <context id="removefromclasspath_action_context">
        <description>Questo comando rimuove una voce dal percorso classi del progetto.</description>        
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
    </context>

    <context id="push_down_action">
        <description>Questo comando apre una finestra di dialogo che consente di spostare i membri di una classe nelle relative sottoclassi.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="inline_method_wizard_page_context">
        <description>Questa finestra di dialogo consente di eseguire l'inlining di un metodo.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="move_action">
        <description>Questo comando sposta gli elementi.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="next_change_action">
        <description>Questo comando passa alla modifica successiva.</description>
    </context>

    <context id="previous_change_action">
        <description>Questo comando passa alla modifica precedente.</description>
    </context>

    <context id="goto_next_member_action">
        <description>Questo comando sposta il segno di immissione al membro successivo.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="goto_previous_member_action">
        <description>Questo comando sposta il segno di immissione al membro precedente.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="show_qualified_names_action">
        <description>Questo comando mostra i nomi qualificati per i tipi.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="open_structure_action">
        <description>Questo comando apre la struttura dell'elemento selezionato.</description>
    </context>

    <context id="inline_action">
        <description>Questo comando apre una finestra di dialogo che consente di eseguire l'inlining di un metodo, di una variabile locale o di una costante.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="extract_interface_action">
        <description>Questo comando apre una finestra di dialogo che consente di estrarre un'interfaccia dal tipo selezionato.  È possibile modificare facoltativamente i riferimenti al tipo selezionato nei riferimenti alla nuova interfaccia.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="promote_temp_to_field_page_context">
        <description>Questa finestra di dialogo consente di convertire una variabile locale in un campo.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="move_inner_to_top_level_action">
        <description>Questo comando apre una finestra di dialogo che consente di convertire un tipo nidificato in un tipo di livello superiore.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="use_supertype_wizard_page_context">
        <description>Questa finestra di dialogo consente di sostituire i riferimenti ad un tipo con i riferimenti a uno dei supertipi del tipo.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="parameter_hints_action">
        <description>Questo comando visualizza i suggerimenti per i parametri di richiamo del metodo.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="convert_anonymous_to_nested_action">
        <description>Questo comando apre una finestra di dialogo che consente di convertire una classe interna anonima in una classe nidificata.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="goto_resource_dialog">
        <description>Questa finestra di dialogo consente di trovare e spostarsi in una risorsa di uno spazio di lavoro.</description>
    </context>

    <context id="extract_constant_page_context">
        <description>Questa finestra di dialogo consente di estrarre un'espressione selezionata in una costante.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="extract_constant_action">
        <description>Questo comando apre una finestra di dialogo che consente di estrarre una costante da un'espressione selezionata.  È possibile sostituire facoltativamente tutte le espressioni corrispondenti con riferimenti alla nuova costante.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="link_editor_action">
        <description>Questo comando collega la vista ad un editor.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="use_supertype_action">
        <description>Questo comando apre una finestra di dialogo consente di sostituire i riferimenti ad un tipo con i riferimenti a uno dei supertipi del tipo.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="inline_constant_wizard_page_context">
        <description>Questa finestra di dialogo consente di eseguire l'inlining di una costante.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="goto_matching_bracket_action">
        <description>Questo comando sposta il segno di immissione alle parentesi corrispondenti.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="goto_type_action">
        <description>Questo comando trova un tipo selezionato nello spazio di lavoro e apre il relativo codice nell'editor.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="java_select_marker_ruler_action">
        <description>Questo comando attiva la Correzione rapida.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="show_outline_action">
        <description>Questo comando visualizza una struttura interna del file attualmente modificato.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="goto_resource_action">
        <description>Questo comando trova e si sposta su una risorsa selezionata nello spazio di lavoro.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="convert_anonymous_to_nested_page_context">
        <description>Questa finestra di dialogo che consente di convertire una classe interna anonima in una classe nidificata.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="next_problem_action">
        <description>Questo comando porta al problema successivo nell'editor attivo.</description>
        <topic label="Azioni del menu Esplora" href="reference/ref-menu-navigate.htm"/>
    </context>

    <context id="content_assist_action">
        <description>Questo comando apre l'assistente ai contenuti.</description>
        <topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm"/>
    </context>

    <context id="layout_flat_action">
        <description>Questo comando modifica la vista in un layout senza effetti.</description>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="layout_hierarchical_action">
        <description>Questo comando modifica la vista in un layout gerarchico.</description>
        <topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm"/>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>

    <context id="show_javadoc_action">
        <description>Questo comando visualizza Javadoc per l'elemento selezionato.</description>
        <topic label="Percorso Javadoc" href="reference/ref-dialog-javadoc-location.htm"/>
    </context>

    <context id="output_location_dialog_context">
        <description>Questa finestra di dialogo consente di modificare la cartella di output di un progetto o di una cartella di origine.</description>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
        <topic label="Pagina Impostazioni Java" href="reference/ref-123.htm"/>
    </context>

    <context id="sort_by_defining_type_action">
        <description>Questo comando ordina i membri in base al tipo dichiarante.</description>
        <topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm"/>
    </context>

    <context id="edit_working_set_action">
        <description>Questo comando consente di modificare un insieme di lavoro.</description>
    </context>

    <context id="move_inner_to_top_wizard_page_context">
        <description>Questa finestra di dialogo consente di convertire un tipo nidificato in un tipo di livello superiore.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="push_down_wizard_page_context">
        <description>Questa finestra di dialogo consente di spostare i membri di una classe nelle relative sottoclassi.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="promote_temp_to_field_action">
        <description>Questo comando apre una finestra di dialogo che consente di convertire una variabile locale in un campo.</description>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
    </context>

    <context id="exclusion_pattern_dialog_context">
        <description>Questa finestra di dialogo esclude i file di origine selezionati presenti in una cartella di origine da compilare.</description>
        <topic label="Percorso classi di generazione" href="concepts/cbuildcp.htm"/>
        <topic label="Pagina Impostazioni Java" href="reference/ref-123.htm"/>
    </context>

    <context id="extract_interface_temp_page_context">
        <description>Questa finestra di dialogo consente di estrarre un'interfaccia da un tipo.  È possibile modificare facoltativamente i riferimenti al tipo nei riferimenti alla nuova interfaccia.</description>
        <topic label="Finestre di dialogo di refactoring" href="reference/ref-117.htm"/>
        <topic label="Supporto refactoring" href="concepts/concepts-9.htm"/>
        <topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm"/>
        <topic label="Preferenze Java" href="reference/ref-13.htm"/>
    </context>

    <context id="select_all_action">
        <description>Questo comando seleziona tutti gli elementi presenti nella vista attiva.</description>
        <topic label="Viste Java" href="concepts/concepts-6.htm"/>
    </context>
    
    <context id="generate_javadoc_action">
        <description>Questo comando genera Javadoc per un progetto.</description>
        <topic label="Proprietà percorso Javadoc" href="reference/ref-dialog-javadoc-location.htm"/>
        <topic label="Creazione della documentazione Javadoc" href="tasks/tasks-196.htm"/>
    </context>
    
</contexts>
